"use strict";
/**
 * test number
 */
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
// import isInteger from '../isInteger'
// import isFloat from '../isFloat'
var fourdollar_1 = require("../fourdollar");
var $4 = require("../fourdollar");
describe('Numbers', function () {
    describe('isInteger()', function () {
        it('정수일때 true을 반환한다.', function () {
            chai_1.expect(fourdollar_1.isInteger('123')).to.be.true;
            chai_1.expect(fourdollar_1.isInteger('-12301')).to.be.true;
            chai_1.expect(fourdollar_1.isInteger('+12301')).to.be.true;
            chai_1.expect(fourdollar_1.isInteger('1')).to.be.true;
        });
        it('정수가 아닐때 false를 반환한다.', function () {
            chai_1.expect($4.isInteger('a1234')).to.be.false;
            chai_1.expect($4.isInteger('012a34')).to.be.false;
            chai_1.expect($4.isInteger('012.3a4')).to.be.false;
            chai_1.expect($4.isInteger('')).to.be.false;
        });
    });
    describe('isFloat()', function () {
        it('소수점이 있을 때 true를 반환한다.', function () {
            chai_1.expect(fourdollar_1.isFloat('12.34')).to.be.true;
            chai_1.expect(fourdollar_1.isFloat('1.4')).to.be.true;
            chai_1.expect(fourdollar_1.isFloat('+12.34')).to.be.true;
            chai_1.expect(fourdollar_1.isFloat('-12.34')).to.be.true;
        });
        it('소수점이 없을 때, 잘못 됐을때 false를 반환한다.', function () {
            chai_1.expect($4.isFloat('1234')).to.be.false;
            chai_1.expect($4.isFloat('a1234')).to.be.false;
            chai_1.expect($4.isFloat('+1234')).to.be.false;
            chai_1.expect($4.isFloat('1+2.34')).to.be.false;
            chai_1.expect($4.isFloat('--12.34')).to.be.false;
            chai_1.expect($4.isFloat('.1234')).to.be.false;
            chai_1.expect($4.isFloat('1234.')).to.be.false;
            chai_1.expect($4.isFloat('12.3a4')).to.be.false;
        });
    });
});

//# sourceMappingURL=number.spec.js.map
