"use strict";
/**
 * url get method stringify params
 */
Object.defineProperty(exports, "__esModule", { value: true });
function toStringQuery(params) {
    if (typeof params === 'object') {
        var esc_1 = encodeURIComponent;
        return Object.keys(params)
            .map(function (k) { return esc_1(k) + '=' + esc_1(params[k]); })
            .join('&');
    }
    else {
        return '';
    }
}
exports.toStringQuery = toStringQuery;
exports.default = toStringQuery;

//# sourceMappingURL=index.js.map
