/**
 * test number
 */


import {expect} from 'chai'
// import isInteger from '../isInteger'
// import isFloat from '../isFloat'
import {
  isInteger,
  isFloat,
} from '../fourdollar'
import * as $4 from '../fourdollar'


describe('Numbers', () => {
  describe('isInteger()', () => {
    it('정수일때 true을 반환한다.', () => {
      expect(isInteger('123')).to.be.true
      expect(isInteger('-12301')).to.be.true
      expect(isInteger('+12301')).to.be.true
      expect(isInteger('1')).to.be.true
    })

    it('정수가 아닐때 false를 반환한다.', () => {
      expect($4.isInteger('a1234')).to.be.false
      expect($4.isInteger('012a34')).to.be.false
      expect($4.isInteger('012.3a4')).to.be.false
      expect($4.isInteger('')).to.be.false
    })
  })

  describe('isFloat()', () => {
    it('소수점이 있을 때 true를 반환한다.', () => {
      expect(isFloat('12.34')).to.be.true
      expect(isFloat('1.4')).to.be.true
      expect(isFloat('+12.34')).to.be.true
      expect(isFloat('-12.34')).to.be.true
    })

    it('소수점이 없을 때, 잘못 됐을때 false를 반환한다.', () => {
      expect($4.isFloat('1234')).to.be.false
      expect($4.isFloat('a1234')).to.be.false
      expect($4.isFloat('+1234')).to.be.false
      expect($4.isFloat('1+2.34')).to.be.false
      expect($4.isFloat('--12.34')).to.be.false
      expect($4.isFloat('.1234')).to.be.false
      expect($4.isFloat('1234.')).to.be.false
      expect($4.isFloat('12.3a4')).to.be.false
    })
  })
})